#include <stdio.h>



int main(){

	int n, i,j;

	scanf("%d", &n);
	
	if( n <= 0){
		printf("-1");
		return 0;
	}

	for(i=0; i<n+1; i++){
		for(j=0; j<2*n-i-1; j++){
			if (j >= i){
				if( (i+j)%2  ) 
					printf("-");
				else
					printf("*");
			}
			else
				printf(" ");
		}
		printf("\n");
	}

	return 0;

}
